package tutorialJava.capitulo7_Recursos.ejercicios.bloque05_recursividad;

public class Ejercicio03_ConteoRegresivo {

	/**
	 * 
	 * @param args
	 */
    public static void main(String[] args) {
        int numero = 10; 
        System.out.println("Conteo regresivo desde " + numero + ":");
        conteoRegresivo(numero);
    }

    /**
     * 
     * @param n
     */
    public static void conteoRegresivo(int n) {
        if (n == 0) {
            return; // Cuando n llega a 0, termina la recursividad
        }
        System.out.println(n);
        conteoRegresivo(n - 1); // Llamada recursiva con n-1
    }

}
